package com.snucse.anjunbang.controller

import org.springframework.http.ResponseEntity
import org.springframework.http.ResponseEntity.ok
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@RestController
@RequestMapping("/api/v1/healthCheck")
class HealthCheckController {
    @GetMapping
    fun checkHealth(): ResponseEntity<Unit>{
        return ok().body(Unit)
    }
}