package com.snucse.anjunbang.dto

import java.time.LocalDateTime

class BidDto {
    data class CreateBidReq(
        var userId: Long,
        var auctionId: Long,
        var price: Long
    )

    data class BidRes(
            var bidId: Long,
            var createdAt: LocalDateTime? = null,
            var price: Long,
            var user: UserDto.UserRes
    )
}