package com.snucse.anjunbang.repository

import com.snucse.anjunbang.domain.Auction
import com.snucse.anjunbang.domain.AuctionState
import org.springframework.data.jpa.repository.JpaRepository

interface AuctionRepository: JpaRepository<Auction, Long>{
    fun findAuctionsByAuctionState(auctionState: AuctionState): List<Auction>
    fun findAuctionsByUser_Id(userId:Long): List<Auction>
    fun findAuctionsByUser_IdAndAuctionState(user_id: Long, auctionState: AuctionState): List<Auction>
}
