package com.snucse.anjunbang.repository

import com.snucse.anjunbang.domain.Bid
import org.springframework.data.jpa.repository.JpaRepository

interface BidRepository: JpaRepository<Bid, Long>{
    fun findBidsByUser_Id(userId: Long): List<Bid>
    fun findBidsByAuction_Id(auctionId: Long): List<Bid>
    fun findBidsByUser_IdAndAuction_Id(userId: Long, auctionId: Long): List<Bid>
}