package com.snucse.anjunbang.service.product

import com.snucse.anjunbang.domain.Product
import com.snucse.anjunbang.dto.ProductDto
import org.springframework.web.multipart.MultipartFile

interface ProductService {
    fun createProduct(createProductReq: ProductDto.CreateProductReq): ProductDto.ProductRes
    fun getProductById(id: Long): Product
    fun getProducts(): List<ProductDto.ProductRes>
    fun getProductsByUser(userId: Long): List<ProductDto.ProductRes>
    fun getProduct(id: Long): ProductDto.ProductRes
    fun uploadImage(uploadImageReq: ProductDto.UploadImageReq): ProductDto.UploadImageRes
}