package com.snucse.anjunbang.service.user

import com.snucse.anjunbang.domain.User
import com.snucse.anjunbang.dto.UserDto

interface UserService {
    fun signUp(signUpReq: UserDto.SignUpReq): UserDto.UserRes
    fun signIn(signInReq: UserDto.SignInReq): UserDto.UserRes

    fun getUserById(id: Long): User
}