package com.snucse.anjunbang.dto

import org.springframework.web.multipart.MultipartFile

class ProductDto {
    data class CreateProductReq(
            var name: String,
            var imageUrls: List<String>?,
            var address: String,
            var detailAddress: String,
            var area: Double,
            var roomArchitecture: String,
            var buildingFormat: String,
            var description: String,

            var userId: Long
    )

    data class ProductRes(
            var productId: Long,
            var name: String,
            var imageUrls: List<String>?,
            var address: String,
            var detailAddress: String,
            var area: Double,
            var roomArchitecture: String,
            var buildingFormat: String,
            var description: String,

            var user: UserDto.UserRes
    )

    data class UploadImageReq(
            var image: MultipartFile?
    )

    data class UploadImageRes(
            var imageUrl: String?
    )
}