package com.snucse.anjunbang.service.auction

import com.snucse.anjunbang.domain.Auction
import com.snucse.anjunbang.domain.AuctionState
import com.snucse.anjunbang.dto.AuctionDto

interface AuctionService {
    fun createAuction(createAuctionReq: AuctionDto.CreateAuctionReq): AuctionDto.AuctionRes
    fun completeAuction(id: Long): Boolean
    fun getAuctionById(id: Long): Auction
    fun getAuctions(): List<AuctionDto.AuctionRes>
    fun getAuctions(state: AuctionState): List<AuctionDto.AuctionRes>
    fun getAuctionsByUser(userId: Long): List<AuctionDto.AuctionRes>
    fun getAuctionsByUser(userId: Long, state: AuctionState): List<AuctionDto.AuctionRes>
//    fun getAuctionsByUserBid(userId: Long): List<AuctionDto.AuctionRes>
//    fun getAuctionsByUserBid(userId: Long, state: AuctionState): List<AuctionDto.AuctionRes>
    fun getAuction(id: Long): AuctionDto.AuctionRes
}