package com.snucse.anjunbang.service.bid

import com.snucse.anjunbang.domain.AuctionState
import com.snucse.anjunbang.dto.AuctionDto
import com.snucse.anjunbang.dto.BidDto

interface BidService {
    fun createBid(createBidReq: BidDto.CreateBidReq): BidDto.BidRes
    fun getBids(): List<BidDto.BidRes>
    fun getBidsByUser(userId: Long): List<BidDto.BidRes>
    fun getBidsByAuction(auctionId: Long): List<BidDto.BidRes>
    fun getBidsByUserAndAuction(userId: Long, auctionId: Long): List<BidDto.BidRes>
    fun getAuctionsByMyBid(userId: Long): List<AuctionDto.AuctionRes>
    fun getAuctionsByMyBid(userId: Long, state: AuctionState): List<AuctionDto.AuctionRes>
    fun getBid(id: Long): BidDto.BidRes
}